#
# spec file for package opera (Version 7.51)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  gnome-core xf86
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext gnome-core libtool libz pam perl rpm xdevel xf86 xshared

Name:         opera
License:      Commercial
Group:        Productivity/Networking/Web/Browsers
#Requires:     xforms
Autoreqprov:  on
Version:      7.51
Release:      6
Summary:      fast Web browser
Source:       opera-7.51-20040602.1-static-qt.i386-en.tar.bz2
Source1:      opera-7.51-20040602.1-static-qt.ppc-en.tar.bz2
Source2:      opera-7.51-20040602.1-static-qt.sparc-en.tar.bz2
Source20:     operamotifwrapper-3
Source30:     help_de.tar.bz2
NoSource:     30
ExclusiveArch: %ix86 sparc ppc
%define help_dir /usr/share/opera/help
%define de_helpdir %{help_dir}/de

%description
a lightweight browser offering good JavaScript, but no Java support

Authors:
--------
    Opera Software A/S

%prep
%setup -q -n opera-7.51-20040602.1-static-qt.i386-en -b 1 -b 2

%build

%install
%ifarch sparc
cd ../opera-7.51-20040602.1-static-qt.sparc-en
%endif
%ifarch ppc
cd ../opera-7.51-20040602.1-static-qt.ppc-en
%endif
./install.sh -v --prefix=/usr \
		--exec_prefix=/usr/X11R6/bin \
		--docdir=%{_docdir}/%{name} \
		--sharedir=/usr/share/%{name}
cat <<EOT >/etc/profile.d/%{name}.sh
export OPERADIR=/usr/share/%{name}
EOT
%ifarch %ix86 x86_64 ppc
# for i in %{_sourcedir}/*.lng.bz2; do
# 	bunzip2 -dc $i >/usr/share/%{name}/locale/$(basename $i .bz2)
# done
#gunzip -dc %{SOURCE5} >/usr/share/%{name}/locale/search.ini
%endif
%if %suse_version > 800
%ifarch %ix86 x86_64
    cp %{S:20} /usr/lib/opera/plugins/operamotifwrapper
%endif
%endif
rm -rf %{de_helpdir}
tar -C %{help_dir} -xjf %{SOURCE30}
find %{de_helpdir} -type f|xargs chmod 644
%if %suse_version > 820
%suse_update_desktop_file -i opera Network WebBrowser
%endif

%files
%defattr(-,root,root)
/usr/share/%{name}
%doc %{_docdir}/%{name}
%config /etc/profile.d/%{name}.sh
/usr/X11R6/bin/opera
#/usr/X11R6/bin/m2.so
/usr/share/icons/opera.xpm
/usr/share/pixmaps/opera.xpm
/usr/lib/opera
/opt/gnome/share/pixmaps/opera.xpm
#/opt/kde2/share/icons/hicolor/48x48/apps/opera.png
#/opt/kde2/share/icons/hicolor/32x32/apps/opera.png

%changelog -n opera
* Thu Jun 10 2004 - ltinkl@suse.cz
- update to 7.51 which solves #40501 and #41628
* Thu Jan 08 2004 - pthomas@suse.de
- Correct file list.
* Wed Jan 07 2004 - pthomas@suse.de
- Update to 7.50 prerelease that fixes the security bug in the handling
  of https.
* Wed May 29 2002 - uli@suse.de
- update -> 6.01 (secfix)
* Mon May 27 2002 - uli@suse.de
- added German localization from http://www.blauwal.at/opera
  (bug #16341)
* Wed May 15 2002 - uli@suse.de
- update -> 6.0 final (x86 only)
* Fri Feb 22 2002 - uli@suse.de
- update -> 6.0 (x86 only)
* Wed Jan 23 2002 - ro@suse.de
- build using kde2-compat
- will need port to kde3 (icon pathes only)
* Mon Sep 17 2001 - uli@suse.de
- initial package, x86/sparc/ppc only
